Get the CAPTCHA configuration for a tenant
curl --request GET \
--url https://{tenantDomain}/api/v2/attack-protection/captcha \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenantDomain}/api/v2/attack-protection/captcha"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenantDomain}/api/v2/attack-protection/captcha', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"active_provider_id": "<string>",
"arkose": {
"site_key": "<string>",
"fail_open": true,
"client_subdomain": "<string>",
"verify_subdomain": "<string>"
},
"auth_challenge": {
"fail_open": true
},
"hcaptcha": {
"site_key": "<string>"
},
"friendly_captcha": {
"site_key": "<string>"
},
"recaptcha_enterprise": {
"site_key": "<string>",
"project_id": "<string>"
},
"recaptcha_v2": {
"site_key": "<string>"
},
"simple_captcha": {}
}Get the CAPTCHA configuration for a tenant
Get the CAPTCHA configuration for your client.
GET
https://{tenantDomain}/api/v2
/
attack-protection
/
captcha
Get the CAPTCHA configuration for a tenant
Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Captcha configuration successfully retrieved.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
âI